%define api 1.0
%define major 0
%define libname %mklibname usb %api %major
%define devellibname %mklibname -d usb %api
%define version 1.0.19

Summary:	Library for accessing USB devices
Name:		libusb
Version:	%version
Release:	%mkrel 1
Source0:	http://downloads.sourceforge.net/libusbx/libusb-%{version}.tar.xz
License:	LGPLv2+
Group:		System/Libraries
URL:		http://libusbx.org
BuildRequires:	doxygen
BuildRequires:	pkgconfig(udev)


%description
This package provides a way for applications to access USB devices.

Libusbx is a fork of the original libusb, which is a fully API and ABI
compatible drop in for the libusb-1.0.9 release. The libusbx fork was
started by most of the libusb-1.0 developers, after the original libusb
project did not produce a new release for over 18 months.

Note that this library is not compatible with the original libusb-0.1 series,
if you need libusb-0.1 compatibility install the libusb-compat package.


%package	-n %libname
Summary:	%summary
Group:		System/Libraries
Requires(pre):	filesystem
Obsoletes:	%{_lib}usbx1.0_0
Obsoletes:	libusbx < %version
Provides:	libusbx = %version-%release


%description	-n %libname
This package provides a way for applications to access USB devices.

Libusbx is a fork of the original libusb, which is a fully API and ABI
compatible drop in for the libusb-1.0.9 release. The libusbx fork was
started by most of the libusb-1.0 developers, after the original libusb
project did not produce a new release for over 18 months.

Note that this library is not compatible with the original libusb-0.1 series,
if you need libusb-0.1 compatibility install the libusb-compat package.


%package	-n %devellibname
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	libusb1-devel = %{version}
Provides:	%{name}-devel = %{version}
Provides:	usb1-devel = %{version}
Provides:	usb1.0-devel = %{version}
Obsoletes:	%{_lib}usb1.0-static-devel
Obsoletes:	%{_lib}usbx1.0-devel
Obsoletes:	libusbx-devel < %version
Provides:	libusbx-devel = %version-%release
Requires(pre):	filesystem


%description	-n %devellibname
The %devellibname package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure2_5x --disable-static
%make
pushd doc
make docs
popd


%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files -n %libname
%doc AUTHORS COPYING README NEWS ChangeLog
%{_libdir}/libusb-%{api}.so.%{major}*

%files -n %devellibname
%{_libdir}/pkgconfig/libusb-%api.pc
%{_includedir}/libusb-%api
%{_libdir}/libusb-%api.so


%changelog
* Sat Aug 02 2014 bb <bb> 1.0.19-1pclos2014
- update
- libusbx is now libusb

* Mon May 26 2014 bb <bb> 1.0.18-1pclos2014
- update

* Thu Sep 12 2013 bb <bb> 1.0.17-1pclos2013
- update

